LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
AnimationEndSync.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::AnimationEndSync

## Variables
const short | FIRST = 0
| The par, excl, or media element's implicit duration ends with the earliest active end of all the child elements. More...
const short | LAST = 1
| The par, excl, or media element's implicit duration ends with the last active end of the child elements. More...
const short | ALL = 2
| The par, excl, or media element's implicit duration ends when all of the child elements have ended their respective active durations. More...
const short | MEDIA = 3
| The time container element's implicit duration ends when the intrinsic media duration of the element ends. More...